---
- name: Create i3wm configuration folder
  file:
    path: "{{ ansible_env.HOME }}/.config/i3"
    state: directory

- name: Copy i3 configuration file to .config folder
  copy:
    src: config
    dest: "{{ ansible_env.HOME }}/.config/i3"

- name: Copy compton.conf to .config folder
  copy:
    src: compton.conf
    dest: "{{ ansible_env.HOME }}/.config/i3"

- name: Ansible check bin directory
  stat:
    path: "{{ ansible_env.HOME }}/bin"
  register: bin_folder

- name: "echo if directory exists"
  debug:
    msg: "~/bin directory exists"
  when: bin_folder.stat.exists

- name: Create bin folder
  file:
    path: "{{ ansible_env.HOME }}/bin"
    state: directory
  when: bin_folder.stat.exists == false

- name: Copy lock.sh to bin folder
  copy:
    src: lock.sh
    dest: "{{ ansible_env.HOME }}/bin"

- name: Clone i3blocks
  git:
    repo: https://github.com/vivien/i3blocks.git
    dest: "{{ ansible_env.HOME }}/.config/i3blocks"
    version: "1.5"
